%bcond_with bootstrap

Summary:       Java manipulation of XML made easy
Name:          jdom2
Version:       2.0.6.1
Release:       4%{?dist}
License:       Saxpath
URL:           http://www.jdom.org/
Source0:       https://github.com/hunterhacker/jdom/archive/refs/tags/JDOM-%{version}.tar.gz
Patch3000:     0001-Adapt-build.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires: javapackages-local
BuildRequires: ant
BuildRequires: ant-junit
%endif

BuildArch:     noarch
ExclusiveArch: %{java_arches} noarch

%description
JDOM is a Java-oriented object model which models XML documents.
It provides a Java-centric means of generating and manipulating
XML documents. While JDOM inter-operates well with existing
standards such as the Simple API for XML (SAX) and the Document
Object Model (DOM), it is not an abstraction layer or
enhancement to those APIs. Rather, it seeks to provide a robust,
light-weight means of reading and writing XML data without the
complex and memory-consumptive options that current API
offerings provide.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.



%prep
%autosetup -p1 -n jdom-JDOM-%{version}
rm -r ./lib ./*/lib
find -name '*.jar' -delete
find -name '*.class' -delete

sed -i 's/\r//' LICENSE.txt

sed -i.coverage "s|coverage, jars|jars|" build.xml

rm -rf core/src/java/org/jdom2/xpath/
sed -i '/import org.jdom2.xpath.XPathFactory/d' core/src/java/org/jdom2/JDOMConstants.java



%build
mkdir lib
%ant -Dversion=%{version} -Dcompile.source=1.7 -Dcompile.target=1.7 -Dj2se.apidoc=%{_javadocdir}/java maven



%install
%mvn_artifact build/maven/core/%{name}-%{version}.pom build/package/jdom-%{version}.jar
%mvn_install -J build/apidocs



%files -f .mfiles
%license LICENSE.txt
%doc CHANGES.txt COMMITTERS.txt README.md TODO.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.6.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.6.1-3
- Removed temporarily unused files bnd.properties
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.6.1-2
- rebuilding for opencloudos

* Thu Mar 23 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.6.1-1
- initial